<!--
  Created by CPL.
  User: Carlos
  Date: 21/06/2024
  Time: 11:41
-->
<!doctype html>
<html xmlns:th="http://www.thymeleaf.org" lang="ES-es">
<head>
	<!-- Required meta tags -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<!-- Bootstrap CSS -->
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet"
	      integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
	<!-- Bootstrap icons -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.2/font/bootstrap-icons.min.css">
	<!-- Estilos personalizados -->
	<link th:href="@{/css/.css}" type="text/css" rel="stylesheet">
	
	<title>Datos Cliente</title>
</head>
<body>
	<h1>Datos Cliente</h1>
	<!--
	<div th:if="${exito}" class="alert alert-primary" role="alert" th:text="${exito}"></div>
	-->
	<div  th:if="${error}" class="alert alert-danger" role="alert" th:text="${error}"></div>
	
	<div th:if="${cliente}">
		<form th:action="@{/clientes/datoscli}" method="post" th:object="${cliente}">
			<label for="id">id:</label>
			<input th:field="*{id}" id="id" name="id" type="text"/>
			<label for="nombre">Nombre:</label>
			<input th:field="*{nombre}" id="nombre" name="nombre" type="text"/>
			<label for="dni">Dni:</label>
			<input th:field="*{dni}"  id="dni" name="dni">
			<label for="edad">Edad:</label>
			<input th:field="*{edad}" id="edad" name="edad">
			<button type="submit">Guardar</button>
			<button type="button" th:onclick="'borrarCliente(' + ${cliente.getId()} + ')'">Borrar</button>
		</form>
	</div>
	<div th:unless="${cliente}">
		<p th:text="${mensaje}"></p>
	</div>
	
	
	<!-- Optional JavaScript -->
	<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"
	        integrity="sha384-oBqDVmMz9ATKxIep9tiCxS/Z9fNfEXiDAYTujMAeBAsjFuCZSmKbSSUnQlmh/jp3"
	        crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.min.js"
	        integrity="sha384-cuYeSxntonz0PPNlHhBs68uyIAVpIIOZZ5JqeqvYYIcEL727kskC66kF92t6Xl2V"
	        crossorigin="anonymous"></script>
	<script src="https://code.jquery.com/jquery-3.7.1.min.js"
	        integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous">
	</script>

	<script>
		function borrarCliente(idCli){
			$.ajax('/clientes/borrar/' + idCli,{
					success : function(data, status) {
						$("#mensaje").html("El cliente ha sido borrado")
					}
			}
			)
		}
	</script>

</body>
</html>